<template>
  <div class="mt-list-item" :class="rowClass" @click="$emit('click')">
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'MtListItem',
  props: {
    rowClass: {
      type: String,
      default: 'mt-list-item-type-none',
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-list-item {
  border-bottom: 1px solid $list-item-border-color-blue;
  border-radius: 0 !important;
  padding: 0.5em 0 0.5em 0.75em;
}
</style>
